import $ from 'jquery'
import qs from 'querystring';

function search(element) {
    return {
        element: element,
        search(query) {
            element.classList.add('is-loading')
            return startQuery(query)
                .then(res => {
                    element.classList.remove('is-loading')
                    return res
                })
        }
    }
}

function startQuery(query) {
    return fetch('/search/?' + qs.encode({q: query}))
        .then(res => res.json())
        .then(data => {
            let actualResult = [];
            $.each(data.hits, (key, value) => {
                actualResult.push({
                    ref: value.fields.page,
                    title: value.fields.title,
                    line: value.fields.text,
                    text: value.fragments.text[0]
                })
            })
            return actualResult
        })
}

export default {
    search,
    startQuery
};
