package main

import (
	"bytes"

	"github.com/yuin/goldmark"
	"github.com/yuin/goldmark/extension"
	"github.com/yuin/goldmark/renderer/html"
)

func renderMarkdown2(pageText string) string {
	md := goldmark.New(
		goldmark.WithExtensions(extension.GFM),
		goldmark.WithRendererOptions(
			html.WithXHTML(),
			html.WithUnsafe(),
		),
	)

	Mark.Extend(md)

	var buf bytes.Buffer
	if err := md.Convert([]byte(pageText), &buf); err != nil {
		panic(err)
	}

	return buf.String()
}
